Package: pharmaversesdtmjnj
Title: J&J Innovative Medicine SDTM Test Data
Version: 0.0.4
Authors@R: 
    c(
    person(given = "David", 
            family = "Munoz Tord",
            role = c("aut", "cre"),
            email = "david.munoztord@mailbox.org"),
    person(given = "Nicholas",
           family = "Masel",
           role = c("aut"),
           email = "nmasel@its.jnj.com"),
      person(given = "Joe",
           family = "Kovach",
           role = "aut",
           email = "jkovach2@its.jnj.com"),
     person("Renfei", "Mao", , "rmao6@its.jnj.com", role = c("ctb")),
     person(given = "J&J Innovative Medicine",
           role = c("cph", "fnd"))
    )
Description: A set of Study Data Tabulation Model (SDTM) datasets constructed by 
  modifying the 'pharmaversesdtm' package to meet J&J Innovative Medicine's
  standard data structure for Clinical and Statistical Programming.
Depends: R (>= 3.5.0), pharmaversesdtm (>= 1.2.0), random.cdisc.data
License: Apache License (>= 2.0)
Encoding: UTF-8
RoxygenNote: 7.3.3
LazyData: true
Language: en-US
NeedsCompilation: no
Packaged: 2026-05-07 14:45:28 UTC; DTord
Author: David Munoz Tord [aut, cre],
  Nicholas Masel [aut],
  Joe Kovach [aut],
  Renfei Mao [ctb],
  J&J Innovative Medicine [cph, fnd]
Maintainer: David Munoz Tord <david.munoztord@mailbox.org>
Repository: CRAN
Date/Publication: 2026-05-07 16:41:08 UTC
Built: R 4.6.0; ; 2026-05-07 17:19:29 UTC; unix

Package: pharmaversesdtmjnj
Title: J&J Innovative Medicine SDTM Test Data
Version: 0.0.4
Authors@R: 
    c(
    person(given = "David", 
            family = "Munoz Tord",
            role = c("aut", "cre"),
            email = "david.munoztord@mailbox.org"),
    person(given = "Nicholas",
           family = "Masel",
           role = c("aut"),
           email = "nmasel@its.jnj.com"),
      person(given = "Joe",
           family = "Kovach",
           role = "aut",
           email = "jkovach2@its.jnj.com"),
     person("Renfei", "Mao", , "rmao6@its.jnj.com", role = c("ctb")),
     person(given = "J&J Innovative Medicine",
           role = c("cph", "fnd"))
    )
Description: A set of Study Data Tabulation Model (SDTM) datasets constructed by 
  modifying the 'pharmaversesdtm' package to meet J&J Innovative Medicine's
  standard data structure for Clinical and Statistical Programming.
Depends: R (>= 3.5.0), pharmaversesdtm (>= 1.2.0), random.cdisc.data
License: Apache License (>= 2.0)
Encoding: UTF-8
RoxygenNote: 7.3.3
LazyData: true
Language: en-US
NeedsCompilation: no
Packaged: 2026-05-07 14:45:28 UTC; DTord
Author: David Munoz Tord [aut, cre],
  Nicholas Masel [aut],
  Joe Kovach [aut],
  Renfei Mao [ctb],
  J&J Innovative Medicine [cph, fnd]
Maintainer: David Munoz Tord <david.munoztord@mailbox.org>
Repository: CRAN
Date/Publication: 2026-05-07 16:41:08 UTC

# pharmaversesdtmjnj
<!-- start badges -->
[![Check 🛠](https://github.com/johnsonandjohnson/pharmaversesdtmjnj/actions/workflows/check.yaml/badge.svg)](https://github.com/johnsonandjohnson/pharmaversesdtmjnj/actions/workflows/check.yaml)
[![Docs 📚](https://github.com/johnsonandjohnson/pharmaversesdtmjnj/actions/workflows/pkgdown.yaml/badge.svg)](https://johnsonandjohnson.github.io/pharmaversesdtmjnj/)

![GitHub forks](https://img.shields.io/github/forks/johnsonandjohnson/pharmaversesdtmjnj?style=social)
![GitHub repo stars](https://img.shields.io/github/stars/johnsonandjohnson/pharmaversesdtmjnj?style=social)

![GitHub commit activity](https://img.shields.io/github/commit-activity/m/johnsonandjohnson/pharmaversesdtmjnj)
![GitHub contributors](https://img.shields.io/github/contributors/johnsonandjohnson/pharmaversesdtmjnj)
![GitHub last commit](https://img.shields.io/github/last-commit/johnsonandjohnson/pharmaversesdtmjnj)
![GitHub pull requests](https://img.shields.io/github/issues-pr/johnsonandjohnson/pharmaversesdtmjnj)
![GitHub repo size](https://img.shields.io/github/repo-size/johnsonandjohnson/pharmaversesdtmjnj)
[![Project Status: Active – The project has reached a stable, usable state and is being actively developed.](https://www.repostatus.org/badges/latest/active.svg)](https://www.repostatus.org/#active)
[![Current Version](https://img.shields.io/github/r-package/v/johnsonandjohnson/pharmaversesdtmjnj/main?color=purple&label=package%20version)](https://github.com/johnsonandjohnson/pharmaversesdtmjnj/tree/main)
[![Open Issues](https://img.shields.io/github/issues-raw/johnsonandjohnson/pharmaversesdtmjnj?color=red&label=open%20issues)](https://github.com/johnsonandjohnson/pharmaversesdtmjnj/issues?q=is%3Aissue+is%3Aopen+sort%3Aupdated-desc)
<!-- end badges -->


Generate SDTM datasets aligned with Johnson & Johnson's Clinical and Statistical Programming standards.


## Features

- Generates SDTM datasets that comply with J&J standards
- Built on top of the 'pharmaversesdtm' package
- Implements data conversion from pharmaverse format to J&J standards format
- Provides reproducible and consistent test data

## Implemented Datasets

- MH (Medical History)
- DS (Disposition)
- DV (Devitation)
- IE (Inclusion/Exclusion)


## Installation

You can install the development version from GitHub:

```r
install.packages("pharmaversesdtmjnj") #CRAN Release
#install.packages("devtools") #or for the rolling release
#devtools::install_github("johnsonandjohnson/pharmaversesdtmjnj")
```

## Usage

```r
library(pharmaversesdtmjnj)

# Access the SDTM datasets directly
# These datasets are loaded lazily when the package is loaded
head(ds)
head(mh)
```

## Data Sources
Test datasets have been sourced from the [pharmaversesdtm](https://github.com/pharmaverse/pharmaversesdtm) package, which utilized the data from the [CDISC pilot project](https://github.com/cdisc-org/sdtm-adam-pilot-project).

#' @title ho
#'
#' @description ho modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 1191 rows and 12 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{USUBJID}{Unique Subject Identifier}
#'  \item{HOSEQ}{Sequence Number}
#'  \item{HOTERM}{Healthcare Encounter Term}
#'  \item{HOSTDTC}{Start Date/Time of Healthcare Encounter}
#'  \item{HOSTDY}{Study Day of Start of Encounter}
#'  \item{HOENDTC}{End Date/Time of Healthcare Encounter}
#'  \item{HOENDY}{Study Day of End of Healthcare Encounter}
#'  \item{HOENRTPT}{End Relative to Reference Time Point}
#'  \item{HOENRF}{End Relative to Reference Period}
#'  \item{HODUR}{Duration of Healthcare Encounter}
#'  \item{HOOCCUR}{Healthcare Encounter Occurrence}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets ho
#' @name ho
#' @examples
#'  head(data("ho"))
"ho"

#' @title ie
#'
#' @description ie modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 60 rows and 4 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{USUBJID}{Unique Subject Identifier}
#'  \item{IECAT}{IE Category}
#'  \item{IETEST}{IE Criterion Test Name}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets ie
#' @name ie
#' @examples
#'  head(data("ie"))
"ie"

#' @title suppho
#'
#' @description suppho modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 5955 rows and 8 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{RDOMAIN}{Related Domain}
#'  \item{USUBJID}{Unique Subject Identifier}
#'  \item{IDVAR}{Identifying Variable}
#'  \item{IDVARVAL}{Identifying Variable Value}
#'  \item{QNAM}{Qualifier Variable Name}
#'  \item{QLABEL}{Qualifier Variable Label}
#'  \item{QVAL}{Qualifier Value}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets suppho
#' @name suppho
#' @examples
#'  head(data("suppho"))
"suppho"

#' @title ds
#'
#' @description ds modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 850 rows and 14 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{DOMAIN}{Domain Abbreviation}
#'  \item{USUBJID}{Unique Subject Identifier}
#'  \item{DSSEQ}{Sequence Number}
#'  \item{DSSPID}{Sponsor-Defined Identifier}
#'  \item{DSTERM}{Reported Term for the Disposition Event}
#'  \item{DSDECOD}{Standardized Disposition Term}
#'  \item{DSCAT}{Category for Disposition Event}
#'  \item{VISITNUM}{Visit Number}
#'  \item{VISIT}{Visit Name}
#'  \item{DSDTC}{Date/Time of Collection}
#'  \item{DSSTDTC}{Start Date/Time of Disposition Event}
#'  \item{DSSTDY}{Study Day of Start of Disposition Event}
#'  \item{DSSCAT}{Subcategory for Disposition Event}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets ds
#' @name ds
#' @examples
#'  head(data("ds"))
"ds"

#' @title dv
#'
#' @description dv modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 75 rows and 17 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{USUBJID}{Unique Subject Identifier}
#'  \item{TRTSDTM}{Datetime of First Exposure to Treatment}
#'  \item{TRTEDTM}{Datetime of Last Exposure to Treatment}
#'  \item{DOMAIN}{Domain Abbreviation}
#'  \item{DVSEQ}{Sequence Number}
#'  \item{DVTERM}{Protocol Deviation Term}
#'  \item{DVDECOD}{DVDECOD}
#'  \item{DVCAT}{DVCAT}
#'  \item{DVSCAT}{Subcategory for Protocol Deviation}
#'  \item{DVREAS}{Reason for Deviation}
#'  \item{DVEPRELI}{Epi/Pandemic Related Indicator}
#'  \item{ASTDT}{Analysis Start Date}
#'  \item{ASTDY}{Analysis Start Relative Day}
#'  \item{AEPRELFL}{Analysis Epi/Pandemic Related Flag}
#'  \item{TRTSDT}{Date of First Exposure to Treatment}
#'  \item{DVSTDTC}{Date of First Exposure to Treatment}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets dv
#' @name dv
#' @examples
#'  head(data("dv"))
"dv"

#' @title mh
#'
#' @description mh modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 1818 rows and 31 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{DOMAIN}{Domain Abbreviation}
#'  \item{USUBJID}{Unique Subject Identifier}
#'  \item{MHSEQ}{Sequence Number}
#'  \item{MHSPID}{Sponsor-Defined Identifier}
#'  \item{MHTERM}{Reported Term for the Medical History}
#'  \item{MHLLT}{Lowest Level Term}
#'  \item{MHDECOD}{Dictionary-Derived Term}
#'  \item{MHHLT}{High Level Term}
#'  \item{MHHLGT}{High Level Group Term}
#'  \item{MHCAT}{Category for Medical History}
#'  \item{MHBODSYS}{Body System or Organ Class}
#'  \item{MHSEV}{Severity/Intensity}
#'  \item{VISITNUM}{Visit Number}
#'  \item{VISIT}{Visit Name}
#'  \item{VISITDY}{Planned Study Day of Visit}
#'  \item{MHDTC}{Date/Time of History Collection}
#'  \item{MHSTDTC}{Start Date/Time of Medical History Event}
#'  \item{MHDY}{Study Day of History Collection}
#'  \item{MHENDTC}{End Date/Time of Medical History Event}
#'  \item{MHPRESP}{Medical History Event Pre-Specified}
#'  \item{MHOCCUR}{Medical History Occurrence}
#'  \item{MHSTRTPT}{Start Relative to Reference Time Point}
#'  \item{MHENRTPT}{End Relative to Reference Time Point}
#'  \item{MHSTTPT}{Start Reference Time Point}
#'  \item{MHENTPT}{End Reference Time Point}
#'  \item{MHENRF}{End Relative to Reference Period}
#'  \item{MHSTAT}{Completion Status}
#'  \item{MHTOXGR}{Standard Toxicity Grade}
#'  \item{MHSTDY}{Study Day of Start of Medical History}
#'  \item{MHENDY}{Study Day of End of Medical History}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets mh
#' @name mh
#' @examples
#'  head(data("mh"))
"mh"

#' @title ts
#'
#' @description ts modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 33 rows and 6 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{DOMAIN}{Domain Abbreviation}
#'  \item{TSSEQ}{Sequence Number}
#'  \item{TSPARMCD}{Trial Summary Parameter Short Name}
#'  \item{TSPARM}{Trial Summary Parameter}
#'  \item{TSVAL}{Parameter Value}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets ts
#' @name ts
#' @examples
#'  head(data("ts"))
"ts"

#' @title ae
#'
#' @description ae modified from pharmaversesdtm
#' @source data from pharmaversesdtm.
#'
#' @format A data frame with 1191 rows and 36 variables:
#' \describe{
#'  \item{STUDYID}{Study Identifier}
#'  \item{DOMAIN}{Domain Abbreviation}
#'  \item{USUBJID}{Unique Subject Identifier}
#'  \item{AESEQ}{Sequence Number}
#'  \item{AESPID}{Sponsor-Defined Identifier}
#'  \item{AETERM}{Reported Term for the Adverse Event}
#'  \item{AELLT}{Lowest Level Term}
#'  \item{AELLTCD}{Lowest Level Term Code}
#'  \item{AEDECOD}{Dictionary-Derived Term}
#'  \item{AEPTCD}{Preferred Term Code}
#'  \item{AEHLT}{High Level Term}
#'  \item{AEHLTCD}{High Level Term Code}
#'  \item{AEHLGT}{High Level Group Term}
#'  \item{AEHLGTCD}{High Level Group Term Code}
#'  \item{AEBODSYS}{Body System or Organ Class}
#'  \item{AEBDSYCD}{Body System or Organ Class Code}
#'  \item{AESOC}{Primary System Organ Class}
#'  \item{AESOCCD}{Primary System Organ Class Code}
#'  \item{AESEV}{Severity/Intensity}
#'  \item{AESER}{Serious Event}
#'  \item{AEACN}{Action Taken with Study Treatment}
#'  \item{AEREL}{Causality}
#'  \item{AEOUT}{Outcome of Adverse Event}
#'  \item{AESCAN}{Involves Cancer}
#'  \item{AESCONG}{Congenital Anomaly or Birth Defect}
#'  \item{AESDISAB}{Persist or Signif Disability/Incapacity}
#'  \item{AESDTH}{Results in Death}
#'  \item{AESHOSP}{Requires or Prolongs Hospitalization}
#'  \item{AESLIFE}{Is Life Threatening}
#'  \item{AESOD}{Occurred with Overdose}
#'  \item{AEDTC}{Date/Time of Collection}
#'  \item{AESTDTC}{Start Date/Time of Adverse Event}
#'  \item{AEENDTC}{End Date/Time of Adverse Event}
#'  \item{AESTDY}{Study Day of Start of Adverse Event}
#'  \item{AEENDY}{Study Day of End of Adverse Event}
#'  \item{AEENRTPT}{End Relative to Reference Time Point}
#' }
#' @seealso \code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
#' @keywords datasets ae
#' @name ae
#' @examples
#'  head(data("ae"))
"ae"

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ie.R
\docType{data}
\name{ie}
\alias{ie}
\title{ie}
\format{
A data frame with 60 rows and 4 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{USUBJID}{Unique Subject Identifier}
\item{IECAT}{IE Category}
\item{IETEST}{IE Criterion Test Name}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
ie
}
\description{
ie modified from pharmaversesdtm
}
\examples{
 head(data("ie"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{datasets}
\keyword{ie}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ho.R
\docType{data}
\name{ho}
\alias{ho}
\title{ho}
\format{
A data frame with 1191 rows and 12 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{USUBJID}{Unique Subject Identifier}
\item{HOSEQ}{Sequence Number}
\item{HOTERM}{Healthcare Encounter Term}
\item{HOSTDTC}{Start Date/Time of Healthcare Encounter}
\item{HOSTDY}{Study Day of Start of Encounter}
\item{HOENDTC}{End Date/Time of Healthcare Encounter}
\item{HOENDY}{Study Day of End of Healthcare Encounter}
\item{HOENRTPT}{End Relative to Reference Time Point}
\item{HOENRF}{End Relative to Reference Period}
\item{HODUR}{Duration of Healthcare Encounter}
\item{HOOCCUR}{Healthcare Encounter Occurrence}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
ho
}
\description{
ho modified from pharmaversesdtm
}
\examples{
 head(data("ho"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{datasets}
\keyword{ho}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/suppho.R
\docType{data}
\name{suppho}
\alias{suppho}
\title{suppho}
\format{
A data frame with 5955 rows and 8 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{RDOMAIN}{Related Domain}
\item{USUBJID}{Unique Subject Identifier}
\item{IDVAR}{Identifying Variable}
\item{IDVARVAL}{Identifying Variable Value}
\item{QNAM}{Qualifier Variable Name}
\item{QLABEL}{Qualifier Variable Label}
\item{QVAL}{Qualifier Value}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
suppho
}
\description{
suppho modified from pharmaversesdtm
}
\examples{
 head(data("suppho"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{datasets}
\keyword{suppho}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ts.R
\docType{data}
\name{ts}
\alias{ts}
\title{ts}
\format{
A data frame with 33 rows and 6 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{DOMAIN}{Domain Abbreviation}
\item{TSSEQ}{Sequence Number}
\item{TSPARMCD}{Trial Summary Parameter Short Name}
\item{TSPARM}{Trial Summary Parameter}
\item{TSVAL}{Parameter Value}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
ts
}
\description{
ts modified from pharmaversesdtm
}
\examples{
 head(data("ts"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{datasets}
\keyword{ts}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ae.R
\docType{data}
\name{ae}
\alias{ae}
\title{ae}
\format{
A data frame with 1191 rows and 36 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{DOMAIN}{Domain Abbreviation}
\item{USUBJID}{Unique Subject Identifier}
\item{AESEQ}{Sequence Number}
\item{AESPID}{Sponsor-Defined Identifier}
\item{AETERM}{Reported Term for the Adverse Event}
\item{AELLT}{Lowest Level Term}
\item{AELLTCD}{Lowest Level Term Code}
\item{AEDECOD}{Dictionary-Derived Term}
\item{AEPTCD}{Preferred Term Code}
\item{AEHLT}{High Level Term}
\item{AEHLTCD}{High Level Term Code}
\item{AEHLGT}{High Level Group Term}
\item{AEHLGTCD}{High Level Group Term Code}
\item{AEBODSYS}{Body System or Organ Class}
\item{AEBDSYCD}{Body System or Organ Class Code}
\item{AESOC}{Primary System Organ Class}
\item{AESOCCD}{Primary System Organ Class Code}
\item{AESEV}{Severity/Intensity}
\item{AESER}{Serious Event}
\item{AEACN}{Action Taken with Study Treatment}
\item{AEREL}{Causality}
\item{AEOUT}{Outcome of Adverse Event}
\item{AESCAN}{Involves Cancer}
\item{AESCONG}{Congenital Anomaly or Birth Defect}
\item{AESDISAB}{Persist or Signif Disability/Incapacity}
\item{AESDTH}{Results in Death}
\item{AESHOSP}{Requires or Prolongs Hospitalization}
\item{AESLIFE}{Is Life Threatening}
\item{AESOD}{Occurred with Overdose}
\item{AEDTC}{Date/Time of Collection}
\item{AESTDTC}{Start Date/Time of Adverse Event}
\item{AEENDTC}{End Date/Time of Adverse Event}
\item{AESTDY}{Study Day of Start of Adverse Event}
\item{AEENDY}{Study Day of End of Adverse Event}
\item{AEENRTPT}{End Relative to Reference Time Point}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
ae
}
\description{
ae modified from pharmaversesdtm
}
\examples{
 head(data("ae"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{ae}
\keyword{datasets}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dv.R
\docType{data}
\name{dv}
\alias{dv}
\title{dv}
\format{
A data frame with 75 rows and 17 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{USUBJID}{Unique Subject Identifier}
\item{TRTSDTM}{Datetime of First Exposure to Treatment}
\item{TRTEDTM}{Datetime of Last Exposure to Treatment}
\item{DOMAIN}{Domain Abbreviation}
\item{DVSEQ}{Sequence Number}
\item{DVTERM}{Protocol Deviation Term}
\item{DVDECOD}{DVDECOD}
\item{DVCAT}{DVCAT}
\item{DVSCAT}{Subcategory for Protocol Deviation}
\item{DVREAS}{Reason for Deviation}
\item{DVEPRELI}{Epi/Pandemic Related Indicator}
\item{ASTDT}{Analysis Start Date}
\item{ASTDY}{Analysis Start Relative Day}
\item{AEPRELFL}{Analysis Epi/Pandemic Related Flag}
\item{TRTSDT}{Date of First Exposure to Treatment}
\item{DVSTDTC}{Date of First Exposure to Treatment}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
dv
}
\description{
dv modified from pharmaversesdtm
}
\examples{
 head(data("dv"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{datasets}
\keyword{dv}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ds.R
\docType{data}
\name{ds}
\alias{ds}
\title{ds}
\format{
A data frame with 850 rows and 14 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{DOMAIN}{Domain Abbreviation}
\item{USUBJID}{Unique Subject Identifier}
\item{DSSEQ}{Sequence Number}
\item{DSSPID}{Sponsor-Defined Identifier}
\item{DSTERM}{Reported Term for the Disposition Event}
\item{DSDECOD}{Standardized Disposition Term}
\item{DSCAT}{Category for Disposition Event}
\item{VISITNUM}{Visit Number}
\item{VISIT}{Visit Name}
\item{DSDTC}{Date/Time of Collection}
\item{DSSTDTC}{Start Date/Time of Disposition Event}
\item{DSSTDY}{Study Day of Start of Disposition Event}
\item{DSSCAT}{Subcategory for Disposition Event}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
ds
}
\description{
ds modified from pharmaversesdtm
}
\examples{
 head(data("ds"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{datasets}
\keyword{ds}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pharmaversesdtmjnj-package.R
\docType{package}
\name{pharmaversesdtmjnj-package}
\alias{pharmaversesdtmjnj}
\alias{pharmaversesdtmjnj-package}
\title{pharmaversesdtmjnj: J&J Innovative Medicine SDTM Test Data}
\description{
A set of Study Data Tabulation Model (SDTM) datasets constructed by modifying the 'pharmaversesdtm' package to meet J&J Innovative Medicine's standard data structure for Clinical and Statistical Programming.
}
\author{
\strong{Maintainer}: David Munoz Tord \email{david.munoztord@mailbox.org}

Authors:
\itemize{
  \item Nicholas Masel \email{nmasel@its.jnj.com}
  \item Joe Kovach \email{jkovach2@its.jnj.com}
}

Other contributors:
\itemize{
  \item Renfei Mao \email{rmao6@its.jnj.com} [contributor]
  \item J&J Innovative Medicine [copyright holder, funder]
}

}
\concept{internal}
\keyword{internal}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mh.R
\docType{data}
\name{mh}
\alias{mh}
\title{mh}
\format{
A data frame with 1818 rows and 31 variables:
\describe{
\item{STUDYID}{Study Identifier}
\item{DOMAIN}{Domain Abbreviation}
\item{USUBJID}{Unique Subject Identifier}
\item{MHSEQ}{Sequence Number}
\item{MHSPID}{Sponsor-Defined Identifier}
\item{MHTERM}{Reported Term for the Medical History}
\item{MHLLT}{Lowest Level Term}
\item{MHDECOD}{Dictionary-Derived Term}
\item{MHHLT}{High Level Term}
\item{MHHLGT}{High Level Group Term}
\item{MHCAT}{Category for Medical History}
\item{MHBODSYS}{Body System or Organ Class}
\item{MHSEV}{Severity/Intensity}
\item{VISITNUM}{Visit Number}
\item{VISIT}{Visit Name}
\item{VISITDY}{Planned Study Day of Visit}
\item{MHDTC}{Date/Time of History Collection}
\item{MHSTDTC}{Start Date/Time of Medical History Event}
\item{MHDY}{Study Day of History Collection}
\item{MHENDTC}{End Date/Time of Medical History Event}
\item{MHPRESP}{Medical History Event Pre-Specified}
\item{MHOCCUR}{Medical History Occurrence}
\item{MHSTRTPT}{Start Relative to Reference Time Point}
\item{MHENRTPT}{End Relative to Reference Time Point}
\item{MHSTTPT}{Start Reference Time Point}
\item{MHENTPT}{End Reference Time Point}
\item{MHENRF}{End Relative to Reference Period}
\item{MHSTAT}{Completion Status}
\item{MHTOXGR}{Standard Toxicity Grade}
\item{MHSTDY}{Study Day of Start of Medical History}
\item{MHENDY}{Study Day of End of Medical History}
}
}
\source{
data from pharmaversesdtm.
}
\usage{
mh
}
\description{
mh modified from pharmaversesdtm
}
\examples{
 head(data("mh"))
}
\seealso{
\code{\link{ae}} \code{\link{ds}} \code{\link{dv}} \code{\link{ho}} \code{\link{ie}} \code{\link{mh}} \code{\link{suppho}} \code{\link{ts}}
}
\keyword{datasets}
\keyword{mh}
